package com.ruoyi.project.production.controller.vo;

import java.math.BigDecimal;

/**
 * 碳二反应器性能指标表格VO
 *
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2023/11/27 15:34:57
 */
public class C2ReactorTableVO {
    private BigDecimal ethane1InAvg;

    private BigDecimal ethylene1InAvg;

    private BigDecimal acetylene1InAvg;

    private BigDecimal propane1InAvg;

    private BigDecimal propylene1InAvg;

    private BigDecimal pd1InAvg;

    private BigDecimal ma1InAvg;

    private BigDecimal ethane3OutAvg;

    private BigDecimal ethylene3OutAvg;

    private BigDecimal acetylene3OutAvg;

    private BigDecimal propane3OutAvg;

    private BigDecimal propylene3OutAvg;

    private BigDecimal pd3OutAvg;

    private BigDecimal ma3OutAvg;

    private BigDecimal ethane2InAvg;

    private BigDecimal ethylene2InAvg;

    private BigDecimal acetylene2InAvg;

    private BigDecimal propane2InAvg;

    private BigDecimal propylene2InAvg;

    private BigDecimal pd2InAvg;

    private BigDecimal ma2InAvg;

    private BigDecimal ethane3InAvg;

    private BigDecimal ethylene3InAvg;

    private BigDecimal acetylene3InAvg;

    private BigDecimal propane3InAvg;

    private BigDecimal propylene3InAvg;

    private BigDecimal pd3InAvg;

    private BigDecimal ma3InAvg;

    private BigDecimal acetyleneConversion1stIn;

    private BigDecimal conversionLoad1stIn;

    private BigDecimal ethyleneSelectivity1stIn;

    private BigDecimal mapdConversion1stIn;

    private BigDecimal propyleneSelectivity1stIn;

    private BigDecimal acetyleneConversion2ndIn;

    private BigDecimal conversionLoad2ndIn;

    private BigDecimal ethyleneSelectivity2ndIn;

    private BigDecimal mapdConversion2ndIn;

    private BigDecimal propyleneSelectivity2ndIn;

    private BigDecimal acetyleneConversion3rdIn;

    private BigDecimal conversionLoad3rdIn;

    private BigDecimal ethyleneSelectivity3rdIn;

    private BigDecimal mapdConversion3rdIn;

    private BigDecimal propyleneSelectivity3rdIn;

    private BigDecimal acetyleneConversion3rdOut;

    private BigDecimal ethyleneSelectivity3rdOut;

    private BigDecimal mapdConversion3rdOut;

    private BigDecimal propyleneSelectivity3rdOut;

    public BigDecimal getAcetyleneConversion1stIn() {
        return acetyleneConversion1stIn;
    }

    public void setAcetyleneConversion1stIn(BigDecimal acetyleneConversion1stIn) {
        this.acetyleneConversion1stIn = acetyleneConversion1stIn;
    }

    public BigDecimal getConversionLoad1stIn() {
        return conversionLoad1stIn;
    }

    public void setConversionLoad1stIn(BigDecimal conversionLoad1stIn) {
        this.conversionLoad1stIn = conversionLoad1stIn;
    }

    public BigDecimal getEthyleneSelectivity1stIn() {
        return ethyleneSelectivity1stIn;
    }

    public void setEthyleneSelectivity1stIn(BigDecimal ethyleneSelectivity1stIn) {
        this.ethyleneSelectivity1stIn = ethyleneSelectivity1stIn;
    }

    public BigDecimal getMapdConversion1stIn() {
        return mapdConversion1stIn;
    }

    public void setMapdConversion1stIn(BigDecimal mapdConversion1stIn) {
        this.mapdConversion1stIn = mapdConversion1stIn;
    }

    public BigDecimal getPropyleneSelectivity1stIn() {
        return propyleneSelectivity1stIn;
    }

    public void setPropyleneSelectivity1stIn(BigDecimal propyleneSelectivity1stIn) {
        this.propyleneSelectivity1stIn = propyleneSelectivity1stIn;
    }

    public BigDecimal getAcetyleneConversion2ndIn() {
        return acetyleneConversion2ndIn;
    }

    public void setAcetyleneConversion2ndIn(BigDecimal acetyleneConversion2ndIn) {
        this.acetyleneConversion2ndIn = acetyleneConversion2ndIn;
    }

    public BigDecimal getEthyleneSelectivity2ndIn() {
        return ethyleneSelectivity2ndIn;
    }

    public void setEthyleneSelectivity2ndIn(BigDecimal ethyleneSelectivity2ndIn) {
        this.ethyleneSelectivity2ndIn = ethyleneSelectivity2ndIn;
    }

    public BigDecimal getMapdConversion2ndIn() {
        return mapdConversion2ndIn;
    }

    public void setMapdConversion2ndIn(BigDecimal mapdConversion2ndIn) {
        this.mapdConversion2ndIn = mapdConversion2ndIn;
    }

    public BigDecimal getPropyleneSelectivity2ndIn() {
        return propyleneSelectivity2ndIn;
    }

    public void setPropyleneSelectivity2ndIn(BigDecimal propyleneSelectivity2ndIn) {
        this.propyleneSelectivity2ndIn = propyleneSelectivity2ndIn;
    }

    public BigDecimal getAcetyleneConversion3rdIn() {
        return acetyleneConversion3rdIn;
    }

    public void setAcetyleneConversion3rdIn(BigDecimal acetyleneConversion3rdIn) {
        this.acetyleneConversion3rdIn = acetyleneConversion3rdIn;
    }

    public BigDecimal getConversionLoad3rdIn() {
        return conversionLoad3rdIn;
    }

    public void setConversionLoad3rdIn(BigDecimal conversionLoad3rdIn) {
        this.conversionLoad3rdIn = conversionLoad3rdIn;
    }

    public BigDecimal getEthyleneSelectivity3rdIn() {
        return ethyleneSelectivity3rdIn;
    }

    public void setEthyleneSelectivity3rdIn(BigDecimal ethyleneSelectivity3rdIn) {
        this.ethyleneSelectivity3rdIn = ethyleneSelectivity3rdIn;
    }

    public BigDecimal getMapdConversion3rdIn() {
        return mapdConversion3rdIn;
    }

    public void setMapdConversion3rdIn(BigDecimal mapdConversion3rdIn) {
        this.mapdConversion3rdIn = mapdConversion3rdIn;
    }

    public BigDecimal getPropyleneSelectivity3rdIn() {
        return propyleneSelectivity3rdIn;
    }

    public void setPropyleneSelectivity3rdIn(BigDecimal propyleneSelectivity3rdIn) {
        this.propyleneSelectivity3rdIn = propyleneSelectivity3rdIn;
    }

    public BigDecimal getAcetyleneConversion3rdOut() {
        return acetyleneConversion3rdOut;
    }

    public void setAcetyleneConversion3rdOut(BigDecimal acetyleneConversion3rdOut) {
        this.acetyleneConversion3rdOut = acetyleneConversion3rdOut;
    }

    public BigDecimal getConversionLoad2ndIn() {
        return conversionLoad2ndIn;
    }

    public void setConversionLoad2ndIn(BigDecimal conversionLoad2ndIn) {
        this.conversionLoad2ndIn = conversionLoad2ndIn;
    }

    public BigDecimal getEthyleneSelectivity3rdOut() {
        return ethyleneSelectivity3rdOut;
    }

    public void setEthyleneSelectivity3rdOut(BigDecimal ethyleneSelectivity3rdOut) {
        this.ethyleneSelectivity3rdOut = ethyleneSelectivity3rdOut;
    }

    public BigDecimal getMapdConversion3rdOut() {
        return mapdConversion3rdOut;
    }

    public void setMapdConversion3rdOut(BigDecimal mapdConversion3rdOut) {
        this.mapdConversion3rdOut = mapdConversion3rdOut;
    }

    public BigDecimal getPropyleneSelectivity3rdOut() {
        return propyleneSelectivity3rdOut;
    }

    public void setPropyleneSelectivity3rdOut(BigDecimal propyleneSelectivity3rdOut) {
        this.propyleneSelectivity3rdOut = propyleneSelectivity3rdOut;
    }

    public BigDecimal getEthane1InAvg() {
        return ethane1InAvg;
    }

    public void setEthane1InAvg(BigDecimal ethane1InAvg) {
        this.ethane1InAvg = ethane1InAvg;
    }

    public BigDecimal getEthylene1InAvg() {
        return ethylene1InAvg;
    }

    public void setEthylene1InAvg(BigDecimal ethylene1InAvg) {
        this.ethylene1InAvg = ethylene1InAvg;
    }

    public BigDecimal getAcetylene1InAvg() {
        return acetylene1InAvg;
    }

    public void setAcetylene1InAvg(BigDecimal acetylene1InAvg) {
        this.acetylene1InAvg = acetylene1InAvg;
    }

    public BigDecimal getPropane1InAvg() {
        return propane1InAvg;
    }

    public void setPropane1InAvg(BigDecimal propane1InAvg) {
        this.propane1InAvg = propane1InAvg;
    }

    public BigDecimal getPropylene1InAvg() {
        return propylene1InAvg;
    }

    public void setPropylene1InAvg(BigDecimal propylene1InAvg) {
        this.propylene1InAvg = propylene1InAvg;
    }

    public BigDecimal getPd1InAvg() {
        return pd1InAvg;
    }

    public void setPd1InAvg(BigDecimal pd1InAvg) {
        this.pd1InAvg = pd1InAvg;
    }

    public BigDecimal getMa1InAvg() {
        return ma1InAvg;
    }

    public void setMa1InAvg(BigDecimal ma1InAvg) {
        this.ma1InAvg = ma1InAvg;
    }

    public BigDecimal getEthane3OutAvg() {
        return ethane3OutAvg;
    }

    public void setEthane3OutAvg(BigDecimal ethane3OutAvg) {
        this.ethane3OutAvg = ethane3OutAvg;
    }

    public BigDecimal getEthylene3OutAvg() {
        return ethylene3OutAvg;
    }

    public void setEthylene3OutAvg(BigDecimal ethylene3OutAvg) {
        this.ethylene3OutAvg = ethylene3OutAvg;
    }

    public BigDecimal getAcetylene3OutAvg() {
        return acetylene3OutAvg;
    }

    public void setAcetylene3OutAvg(BigDecimal acetylene3OutAvg) {
        this.acetylene3OutAvg = acetylene3OutAvg;
    }

    public BigDecimal getPropane3OutAvg() {
        return propane3OutAvg;
    }

    public void setPropane3OutAvg(BigDecimal propane3OutAvg) {
        this.propane3OutAvg = propane3OutAvg;
    }

    public BigDecimal getPropylene3OutAvg() {
        return propylene3OutAvg;
    }

    public void setPropylene3OutAvg(BigDecimal propylene3OutAvg) {
        this.propylene3OutAvg = propylene3OutAvg;
    }

    public BigDecimal getPd3OutAvg() {
        return pd3OutAvg;
    }

    public void setPd3OutAvg(BigDecimal pd3OutAvg) {
        this.pd3OutAvg = pd3OutAvg;
    }

    public BigDecimal getMa3OutAvg() {
        return ma3OutAvg;
    }

    public void setMa3OutAvg(BigDecimal ma3OutAvg) {
        this.ma3OutAvg = ma3OutAvg;
    }

    public BigDecimal getEthane2InAvg() {
        return ethane2InAvg;
    }

    public void setEthane2InAvg(BigDecimal ethane2InAvg) {
        this.ethane2InAvg = ethane2InAvg;
    }

    public BigDecimal getEthylene2InAvg() {
        return ethylene2InAvg;
    }

    public void setEthylene2InAvg(BigDecimal ethylene2InAvg) {
        this.ethylene2InAvg = ethylene2InAvg;
    }

    public BigDecimal getAcetylene2InAvg() {
        return acetylene2InAvg;
    }

    public void setAcetylene2InAvg(BigDecimal acetylene2InAvg) {
        this.acetylene2InAvg = acetylene2InAvg;
    }

    public BigDecimal getPropane2InAvg() {
        return propane2InAvg;
    }

    public void setPropane2InAvg(BigDecimal propane2InAvg) {
        this.propane2InAvg = propane2InAvg;
    }

    public BigDecimal getPropylene2InAvg() {
        return propylene2InAvg;
    }

    public void setPropylene2InAvg(BigDecimal propylene2InAvg) {
        this.propylene2InAvg = propylene2InAvg;
    }

    public BigDecimal getPd2InAvg() {
        return pd2InAvg;
    }

    public void setPd2InAvg(BigDecimal pd2InAvg) {
        this.pd2InAvg = pd2InAvg;
    }

    public BigDecimal getMa2InAvg() {
        return ma2InAvg;
    }

    public void setMa2InAvg(BigDecimal ma2InAvg) {
        this.ma2InAvg = ma2InAvg;
    }

    public BigDecimal getEthane3InAvg() {
        return ethane3InAvg;
    }

    public void setEthane3InAvg(BigDecimal ethane3InAvg) {
        this.ethane3InAvg = ethane3InAvg;
    }

    public BigDecimal getEthylene3InAvg() {
        return ethylene3InAvg;
    }

    public void setEthylene3InAvg(BigDecimal ethylene3InAvg) {
        this.ethylene3InAvg = ethylene3InAvg;
    }

    public BigDecimal getAcetylene3InAvg() {
        return acetylene3InAvg;
    }

    public void setAcetylene3InAvg(BigDecimal acetylene3InAvg) {
        this.acetylene3InAvg = acetylene3InAvg;
    }

    public BigDecimal getPropane3InAvg() {
        return propane3InAvg;
    }

    public void setPropane3InAvg(BigDecimal propane3InAvg) {
        this.propane3InAvg = propane3InAvg;
    }

    public BigDecimal getPropylene3InAvg() {
        return propylene3InAvg;
    }

    public void setPropylene3InAvg(BigDecimal propylene3InAvg) {
        this.propylene3InAvg = propylene3InAvg;
    }

    public BigDecimal getPd3InAvg() {
        return pd3InAvg;
    }

    public void setPd3InAvg(BigDecimal pd3InAvg) {
        this.pd3InAvg = pd3InAvg;
    }

    public BigDecimal getMa3InAvg() {
        return ma3InAvg;
    }

    public void setMa3InAvg(BigDecimal ma3InAvg) {
        this.ma3InAvg = ma3InAvg;
    }
}
